package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 * @author zhangkaikai
 * @create 2023-06-08 6:43 PM
 **/
@JSONType(deserializer = EnumValueDeserializer.class)
public enum ChannelGoodsOrderSettleEnum implements IEnum<Integer> {

    NOT_PAY(1, "待支付"),
    FINISHED(2, "已完成");

    private final int value;
    private final String desc;

    ChannelGoodsOrderSettleEnum(final int value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("value",value);
        object.put("desc", desc);
        return object.toString();
    }
}
